Package org.apache.groovy.ginq.dsl

# Interface SyntaxErrorReportable

All Known Implementing Classes:
  `GinqAstBuilder`

public interface SyntaxErrorReportable
Supports reporting the syntax error of GINQ

Since:
  4.0.0

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default void`
  `collectSyntaxError(GinqSyntaxError ginqSyntaxError)`
  `SourceUnit`
  `getSourceUnit()`

- ## Method Details

  - ### getSourceUnit

    SourceUnit getSourceUnit()

  - ### collectSyntaxError

    default void collectSyntaxError(GinqSyntaxError ginqSyntaxError)